%global srcname SoftFloat
%global forgeurl https://github.com/SDL-Hercules-390/%{srcname}
%global commit 4b0c326008e174610969c92e69178939ed80653d
%forgemeta

%global debug_package %{nil}
%global _vpath_builddir %{_builddir}/%{srcname}%{__isa_bits}.Release

%global common_description %{expand:
Berkeley SoftFloat is a software implementation of binary floating-point that
conforms to the IEEE Standard for Floating-Point Arithmetic. The current
release supports five binary formats: 16-bit half-precision, 32-bit
single-precision, 64-bit double-precision, 80-bit double-extended- precision,
and 128-bit quadruple-precision.

This version is a fork by SoftDevLabs (SDL) to support the SDL-Hercules-390
emulator.}

Name:           sdl-softfloat
Version:        3.5.0
Release:    2%{?dist}
Summary:        Berkeley IEEE Binary Floating-Point Library (SDL version)

License:        BSD
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  sed

%description    %{common_description}

%package        devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}
Provides:       softfloat-devel = %{version}-%{release}
Provides:       softfloat-static = %{version}-%{release}

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{commit}
sed -i extra.txt \
  -e 's:DESTINATION  .:DESTINATION share/doc/%{name}-devel:g' \
  -e 's:DESTINATION doc:DESTINATION share/doc/%{name}-devel:g' \

%build
%cmake
%cmake_build

%install
%cmake_install
mv %{buildroot}%{_docdir}/%{name}-devel/softfloat.LICENSE.txt .

%files devel
%license softfloat.LICENSE.txt
%doc %{_docdir}/%{name}-devel/softfloat.README.*
%doc %{_docdir}/%{name}-devel/%{srcname}*.html
%{_includedir}/*.h
%{_libdir}/lib%{srcname}*.a

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.5.0-2.git4b0c326
- Rebuilt for loongarch64

* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.0-1
- initial build
